package org.springblade.modules.external.ycbigdata.job.wrapper;

import org.springblade.community.repeater.vo.RepeaterVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.jobs.devicejob.entity.DeviceJob;
import org.springblade.jobs.reportjob.entity.ReportJob;
import org.springblade.modules.external.ycbigdata.job.vo.DeviceJobVO;
import org.springblade.modules.external.ycbigdata.job.vo.ReportJobVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class ReportJobWrapper extends BaseEntityWrapper<ReportJob, ReportJobVO> {


	public static ReportJobWrapper build(){
		return new ReportJobWrapper();
	}
	@Override
	public ReportJobVO entityVO(ReportJob reportJob) {

		ReportJobVO reportJobVO = Objects.requireNonNull(BeanUtil.copy(reportJob,ReportJobVO.class));
		return reportJobVO;
	}
}
